org.apache.catalina.tribes.util

## Class ExceptionUtils

- java.lang.Object
- - org.apache.catalina.tribes.util.ExceptionUtils

-     public class ExceptionUtils
      extends Object

  Utilities for handling Throwables and Exceptions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `handleThrowable(Throwable t)` Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionUtils

          public ExceptionUtils()

  - ### Method Detail

    - #### handleThrowable

          public static void handleThrowable(Throwable t)

      Checks whether the supplied Throwable is one that needs to be rethrown and swallows all others.
      Parameters:
        `t` - the Throwable to check

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.